<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.VBox?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="co.edu.udea.tecnicas.mascotas.controller.ListarMascotasController">
   <children>
      <VBox prefHeight="200.0" prefWidth="100.0" spacing="20.0" AnchorPane.bottomAnchor="20.0" AnchorPane.leftAnchor="20.0" AnchorPane.rightAnchor="20.0" AnchorPane.topAnchor="20.0">
         <children>
            <Label alignment="CENTER" maxWidth="1.7976931348623157E308" prefHeight="17.0" text="BIENVENIDO AL LISTADO DE LAS MASCOTAS" textAlignment="CENTER">
               <VBox.margin>
                  <Insets />
               </VBox.margin>
            </Label>
            <TableView fx:id="tblMascotas" prefHeight="200.0" prefWidth="200.0">
              <columns>
                <TableColumn fx:id="clmId" prefWidth="75.0" text="ID" />
                <TableColumn fx:id="clmTipo" prefWidth="75.0" text="TIPO" />
                  <TableColumn fx:id="clmRaza" prefWidth="75.0" text="RAZA" />
                  <TableColumn fx:id="clmNombre" prefWidth="75.0" text="NOMBRE" />
              </columns>
               <columnResizePolicy>
                  <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
               </columnResizePolicy>
            </TableView>
            <Button mnemonicParsing="false" onAction="#btnActualizar_clic" text="Actualizar" />
         </children>
      </VBox>
   </children>
</AnchorPane>
